import type { Run } from '../run';
import { AsyncSeriesHook } from 'tapable';
export declare function hooks(name: string): {
    BeforeRun: AsyncSeriesHook<Run, import("tapable").UnsetAdditionalOptions>;
};
declare const getHooks: (program: object | undefined) => {
    BeforeRun: AsyncSeriesHook<Run, import("tapable").UnsetAdditionalOptions>;
}, withHooks: <T extends ClassType<any>>(Target: T, { kind }: ClassDecoratorContext<abstract new (...args: any) => any>) => T;
export { getHooks, withHooks };
